Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354071 - KDE Titlebar shade/unshade in custom settings only works after I drag the window - randomly
Summary: KDE Titlebar shade/unshade in custom settings only works after I drag the win...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 00:57 UTC by Robin Laing
Modified: 2017-08-08 15:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:28:15 UTC


Attachments (Terms of Use)

Description Robin Laing 2016-07-09 00:57:14 UTC
Description of problem:

I like the option to double click the titlebar and have it shade/unshade.  In the latest KDE with all the updates, I cannot double click the titlebar and have it shade/unshade reliably.  I have to move the window before the double click works.  This is on multiple machines and accounts.

I still have to test it on Fedora 24 to see if it this problem still exists.


Version-Release number of selected component (if applicable):
  kf5-*.5.23

How reproducible:
Almost every time. I test it on multiple accounts and machines.  After the windows have not been accessed for awhile.

Steps to Reproduce:
1.  Open KDE settings and change Windows Actions and Behaviors to have titlebar shade when double-clicked.

2.  Open multiple windows.  Leave some inactive for some time.  
3.  Double click on the inactive windows.  Some will shade/unshade and others will not
4.  Move the ones that don't shade and they will now shade.


Actual results:
Some windows won't shade after not being used for some time.  Others will still shade.  Move the windows that don't shade, even one pixel and then double click and it will shade.



Expected results:
I would expect the windows to shade very time no matter how long or short that they have been open.  

Additional info:
This started some time ago and I was to busy to test.  I was trying to find a cause or reason why it was happening.

Comment 1 Robin Laing 2016-07-09 22:29:15 UTC
Today I confirmed the issue on Fedora 24 as well.

Logged into a new account, configured the titlebar to shade on double click and after a few minutes, one window wouldn't shade while the others did.

I could move the window and then it would shade.

It is intermittent as some times it doesn't occur.  Other times is it happens within seconds.

Comment 2 Fedora End Of Life 2017-07-25 21:41:35 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:28:15 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.